<ion-content>
  <div class="page-wrapper">
    <div class="chat-main-row">
        <div class="chat-main-wrapper">
            <div class="col-lg-9 message-view chat-view">
                <div class="chat-window">
                    <div class="fixed-header">
                        <div class="navbar">
                            <div class="user-details mr-auto">
                                <div class="float-left user-img m-r-10">
                                    <a href="profile.html" title="Jennifer Robinson"><img src="assets/img/patient-thumb-02.jpg" alt="" class="w-40 rounded-circle"><span class="status online"></span></a>
                                </div>
                                <div class="user-info float-left">
                                    <a href="profile.html"><span class="font-bold">Jennifer Robinson</span><br> <i class="typing-text">Typing...</i></a>
                                    <span class="last-seen">Last seen today at 7:50 AM</span>
                                </div>
                            </div>
                            <div class="search-box">
                                <div class="input-group input-group-sm">
                                    <input type="text" class="form-control" placeholder="Search">
                                    <span class="input-group-append">
                  <button class="btn" type="button"><i class="fa fa-search"></i></button>
                </span>
                                </div>
                            </div>
                            <ul class="nav custom-menu">
                                <li class="nav-item">
                                    <a href="#chat_sidebar" class="nav-link task-chat profile-rightbar float-right" id="task_chat"><i class="fa fa-user"></i></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="voice-call.html"><i class="fa fa-phone"></i></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="video-call.html"><i class="fa fa-video-camera"></i></a>
                                </li>
                                <li class="nav-item dropdown dropdown-action">
                                    <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-cog"></i></a>
                                    <div class="dropdown-menu dropdown-menu-right">
                                        <a class="dropdown-item" href="javascript:void(0)">Delete Conversations</a>
                                        <a class="dropdown-item" href="javascript:void(0)">Settings</a>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="chat-contents">
                        <div class="chat-content-wrap">
                            <div class="chat-wrap-inner">
                                <div class="chat-box">
                                    <div class="chats" *ngFor='let msg of messages'>
                                        <div *ngIf="msg.user === currentUser" class="chat chat-right">
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>Hello. What can I do for you?</p>
                                                        <span class="chat-time">8:30 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- <div class="chat-line">
                                            <span class="chat-date">October 8th, 2015</span>
                                        </div> -->
                                        <div *ngIf="msg.user !== currentUser" class="chat chat-left">
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>I'm just looking around.</p>
                                                        <p>Will you tell me something about yourself? </p>
                                                        <span class="chat-time">8:35 am</span>
                                                    </div>
                                                </div>
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>Are you there? That time!</p>
                                                        <span class="chat-time">8:40 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- <div class="chat chat-right">
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>Where?</p>
                                                        <span class="chat-time">8:35 am</span>
                                                    </div>
                                                </div>
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>OK, my name is Limingqiang. I like singing, playing basketballand so on.</p>
                                                        <span class="chat-time">8:42 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-left">
                                            <div class="chat-avatar">
                                                <a href="profile.html" class="avatar">
                                                    <img alt="Jennifer Robinson" src="assets/img/patient-thumb-02.jpg" class="img-fluid rounded-circle">
                                                </a>
                                            </div>
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>You wait for notice.</p>
                                                        <span class="chat-time">8:30 am</span>
                                                    </div>
                                                </div>
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>Consectetuorem ipsum dolor sit?</p>
                                                        <span class="chat-time">8:50 am</span>
                                                    </div>
                                                </div>
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>OK?</p>
                                                        <span class="chat-time">8:55 am</span>
                                                    </div>
                                                </div>
                                                <div class="chat-bubble">
                                                    <div class="chat-content img-content">
                                                        <div class="chat-img-group clearfix">
                                                            <p>Uploaded 3 Images</p>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">placeholder.jpg</div>
                                                                    <div class="chat-file-desc">842 KB</div>
                                                                </div>
                                                            </a>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">842 KB</div>
                                                                </div>
                                                            </a>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">placeholder.jpg</div>
                                                                    <div class="chat-file-desc">842 KB</div>
                                                                </div>
                                                            </a>
                                                        </div>
                                                        <span class="chat-time">9:00 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-right">
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>OK!</p>
                                                        <span class="chat-time">9:00 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-left">
                                            <div class="chat-avatar">
                                                <a href="profile.html" class="avatar">
                                                    <img alt="Jennifer Robinson" src="assets/img/patient-thumb-02.jpg" class="img-fluid rounded-circle">
                                                </a>
                                            </div>
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>Uploaded 3 files</p>
                                                        <ul class="attach-list">
                                                            <li><i class="fa fa-file"></i> <a href="#">example.avi</a></li>
                                                            <li><i class="fa fa-file"></i> <a href="#">activity.psd</a></li>
                                                            <li><i class="fa fa-file"></i> <a href="#">example.psd</a></li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>Consectetuorem ipsum dolor sit?</p>
                                                        <span class="chat-time">8:50 am</span>
                                                    </div>
                                                </div>
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>OK?</p>
                                                        <span class="chat-time">8:55 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-right">
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content img-content">
                                                        <div class="chat-img-group clearfix">
                                                            <p>Uploaded 6 Images</p>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">placeholder.jpg</div>
                                                                    <div class="chat-file-desc">842 KB</div>
                                                                </div>
                                                            </a>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">842 KB</div>
                                                                </div>
                                                            </a>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">placeholder.jpg</div>
                                                                    <div class="chat-file-desc">842 KB</div>
                                                                </div>
                                                            </a>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">placeholder.jpg</div>
                                                                    <div class="chat-file-desc">842 KB</div>
                                                                </div>
                                                            </a>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">placeholder.jpg</div>
                                                                    <div class="chat-file-desc">842 KB</div>
                                                                </div>
                                                            </a>
                                                            <a class="chat-img-attach" href="#">
                                                                <img width="182" height="137" alt="" src="assets/img/placeholder.jpg">
                                                                <div class="chat-placeholder">
                                                                    <div class="chat-img-name">placeholder.jpg</div>
                                                                    <div class="chat-file-desc">842 KB</div>
                                                                </div>
                                                            </a>
                                                        </div>
                                                        <span class="chat-time">9:00 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-left">
                                            <div class="chat-avatar">
                                                <a href="profile.html" class="avatar">
                                                    <img alt="Jennifer Robinson" src="assets/img/patient-thumb-02.jpg" class="img-fluid rounded-circle">
                                                </a>
                                            </div>
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <ul class="attach-list">
                                                            <li class="pdf-file"><i class="fa fa-file-pdf-o"></i> <a href="#">Document_2016.pdf</a></li>
                                                        </ul>
                                                        <span class="chat-time">9:00 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-right">
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <ul class="attach-list">
                                                            <li class="pdf-file"><i class="fa fa-file-pdf-o"></i> <a href="#">Document_2016.pdf</a></li>
                                                        </ul>
                                                        <span class="chat-time">9:00 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-left">
                                            <div class="chat-avatar">
                                                <a href="profile.html" class="avatar">
                                                    <img alt="Jennifer Robinson" src="assets/img/patient-thumb-02.jpg" class="img-fluid rounded-circle">
                                                </a>
                                            </div>
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <p>Typing ...</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                      </div>
                    <div class="chat-footer">
                        <div class="message-bar">
                            <div class="message-inner">
                                <a class="link attach-icon" href="#" data-toggle="modal" data-target="#drag_files"><img src="assets/img/attachment.png" alt=""></a>
                                <div class="message-area">
                                  <form (ngSubmit)="sendMessage()">
                                    <div class="input-group">
                                        <textarea [(ngModel)]="message" class="form-control" placeholder="Type message..." name="msg" ></textarea>
                                        <span class="input-group-append">
                                          <button type="submit" (click)="sendMessage()" class="btn btn-primary" type="button"><i class="fa fa-send"></i></button>
                                        </span>
                                      
                                    </div>
                                  </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 message-view chat-profile-view chat-sidebar" id="chat_sidebar">
                <div class="chat-window video-window">
                    <div class="fixed-header">
                        <ul class="nav nav-tabs nav-tabs-bottom">
                            <li class="nav-item"><a class="nav-link" href="#calls_tab" data-toggle="tab">Calls</a></li>
                            <li class="nav-item"><a class="nav-link active" href="#profile_tab" data-toggle="tab">Profile</a></li>
                        </ul>
                    </div>
                    <div class="tab-content chat-contents">
                        <div class="content-full tab-pane" id="calls_tab">
                            <div class="chat-wrap-inner">
                                <div class="chat-box">
                                    <div class="chats">
                                        <div class="chat chat-left">
                                            <div class="chat-avatar">
                                                <a href="profile.html" class="avatar">
                                                    <img alt="Cristina Groves" src="assets/img/doctor-thumb-03.jpg" class="img-fluid rounded-circle">
                                                </a>
                                            </div>
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <span class="chat-user">You</span> <span class="chat-time">8:35 am</span>
                                                        <div class="call-details">
                                                            <i class="material-icons">phone_missed</i>
                                                            <div class="call-info">
                                                                <div class="call-user-details">
                                                                    <span class="call-description">Jeffrey Warden missed the call</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat chat-left">
                                            <div class="chat-avatar">
                                                <a href="profile.html" class="avatar">
                                                    <img alt="Jennifer Robinson" src="assets/img/patient-thumb-02.jpg" class="img-fluid rounded-circle">
                                                </a>
                                            </div>
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <span class="chat-user">Jennifer Robinson</span> <span class="chat-time">8:35 am</span>
                                                        <div class="call-details">
                                                            <i class="material-icons">call_end</i>
                                                            <div class="call-info">
                                                                <div class="call-user-details"><span class="call-description">This call has ended</span></div>
                                                                <div class="call-timing">Duration: <strong>5 min 57 sec</strong></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="chat-line">
                                            <span class="chat-date">January 29th, 2015</span>
                                        </div>
                                        <div class="chat chat-left">
                                            <div class="chat-avatar">
                                                <a href="profile.html" class="avatar">
                                                    <img alt="Cristina Groves" src="assets/img/doctor-thumb-03.jpg" class="img-fluid rounded-circle">
                                                </a>
                                            </div>
                                            <div class="chat-body">
                                                <div class="chat-bubble">
                                                    <div class="chat-content">
                                                        <span class="chat-user">You</span> <span class="chat-time">8:35 am</span>
                                                        <div class="call-details">
                                                            <i class="material-icons">ring_volume</i>
                                                            <div class="call-info">
                                                                <div class="call-user-details">
                                                                    <a href="#" class="call-description call-description--linked" data-qa="call_attachment_link">Calling Jennifer ...</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="content-full tab-pane show active" id="profile_tab">
                            <div class="display-table">
                                <div class="table-row">
                                    <div class="table-body">
                                        <div class="table-content">
                                            <div class="chat-profile-img">
                                                <div class="edit-profile-img">
                                                    <img src="assets/img/doctor-03.jpg" alt="">
                                                    <span class="change-img">Change Image</span>
                                                </div>
                                                <h3 class="user-name m-t-10 mb-0">Cristina Groves</h3>
                                                <small class="text-muted">Gynecologist</small>
                                                <a href="edit-profile.html" class="btn btn-primary edit-btn"><i class="fa fa-pencil"></i></a>
                                            </div>
                                            <div class="chat-profile-info">
                                                <ul class="user-det-list">
                                                    <li>
                                                        <span>Username:</span>
                                                        <span class="float-right text-muted">@cristina_groves</span>
                                                    </li>
                                                    <li>
                                                        <span>DOB:</span>
                                                        <span class="float-right text-muted">3rd March</span>
                                                    </li>
                                                    <li>
                                                        <span>Email:</span>
                                                        <span class="float-right text-muted">cristinagroves@example.com</span>
                                                    </li>
                                                    <li>
                                                        <span>Phone:</span>
                                                        <span class="float-right text-muted"> 770-889-6484</span>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="transfer-files">
                                                <ul class="nav nav-tabs nav-tabs-solid nav-justified mb-0">
                                                    <li class="nav-item"><a class="nav-link active" href="#all_files" data-toggle="tab">All Files</a></li>
                                                    <li class="nav-item"><a class="nav-link" href="#my_files" data-toggle="tab">My Files</a></li>
                                                </ul>
                                                <div class="tab-content">
                                                    <div class="tab-pane show active" id="all_files">
                                                        <ul class="files-list">
                                                            <li>
                                                                <div class="files-cont">
                                                                    <div class="file-type">
                                                                        <span class="files-icon"><i class="fa fa-file-pdf-o"></i></span>
                                                                    </div>
                                                                    <div class="files-info">
                                                                        <span class="file-name text-ellipsis">AHA Selfcare Mobile Application Test-Cases.xls</span>
                                                                        <span class="file-author"><a href="#">Loren Gatlin</a></span> <span class="file-date">May 31st at 6:53 PM</span>
                                                                    </div>
                                                                    <ul class="files-action">
                                                                        <li class="dropdown dropdown-action">
                                                                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-h"></i></a>
                                                                            <div class="dropdown-menu">
                                                                                <a class="dropdown-item" href="javascript:void(0)">Download</a>
                                                                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#share_files">Share</a>
                                                                            </div>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div class="tab-pane" id="my_files">
                                                        <ul class="files-list">
                                                            <li>
                                                                <div class="files-cont">
                                                                    <div class="file-type">
                                                                        <span class="files-icon"><i class="fa fa-file-pdf-o"></i></span>
                                                                    </div>
                                                                    <div class="files-info">
                                                                        <span class="file-name text-ellipsis">AHA Selfcare Mobile Application Test-Cases.xls</span>
                                                                        <span class="file-author"><a href="#">John Doe</a></span> <span class="file-date">May 31st at 6:53 PM</span>
                                                                    </div>
                                                                    <ul class="files-action">
                                                                        <li class="dropdown dropdown-action">
                                                                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-h"></i></a>
                                                                            <div class="dropdown-menu">
                                                                                <a class="dropdown-item" href="javascript:void(0)">Download</a>
                                                                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#share_files">Share</a>
                                                                            </div>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



</div>
</ion-content>
